com.r3corda.node.services.messaging / ArtemisMessagingComponent / <init>

# <init>

`ArtemisMessagingComponent(directory: Path, config: NodeConfiguration)`

The base class for Artemis services that defines shared data structures and transport configuration

### Parameters

`directory` - A place where Artemis can stash its message journal and other files.
`config` - The config object is used to pass in the passwords for the certificate KeyStore and TrustStore